--- title: "getLoginKeyList" slug: "compute-vserver-server-loginkey-getloginkeylist" tags: ["Server", "Login Key"] updated: 2026-09-17T10:06:02Z published: 2026-09-17T10:06:02Z canonical: "api.ncloud-docs.com/compute-vserver-server-loginkey-getloginkeylist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getLoginKeyList Available in VPC Get the list of authentication keys. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/getLoginKeyList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `keyName` | String | Optional | Authentication key name - Display the full list of authentication keys in the response if none is entered. | | `pageNo` | Integer | Optional | Page number - 0-N (default: 0) - First page: Enter `0` or `1`. | | `pageSize` | Integer | Conditional | Number of items per page - 1-1000 (default: 1) - Required when entering `pageNo` | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/getLoginKeyList ?regionCode=KR &keyName=test-*** &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getLoginKeyListResponse` | Object | - | Response result | | `getLoginKeyListResponse.loginKeyList` | Array | - | Authentication key list: See [LoginKeyList](/docs/en/common-vapidatatype-loginkeylist). | | `getLoginKeyListResponse.requestId` | String | - | ID for the request - UUID format | | `getLoginKeyListResponse.returnCode` | String | - | Response code | | `getLoginKeyListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getLoginKeyListResponse": { "loginKeyList": [ { "fingerprint": "**:**:**:23:e4:fc:2f:35:21:1a:17:13:84:89:c1:e7", "keyName": "test-***", "createDate": "2025-06-25T17:22:29+0900" } ], "requestId": "5c560acf-c698-49ed-b16e-5dc92a3f406a", "returnCode": "0", "returnMessage": "success" } } ```